Bug 38726 - Writer functionality request: New option for "Record changes" mode: Showing only change bars following edits
Summary: Writer functionality request: New option for "Record changes" mode: Showing o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2011-06-27 14:55 UTC by Pete D
Modified: 2019-02-25 19:59 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of a page with modification marks, as a PDF file (28.21 KB, application/pdf)
2012-03-01 04:11 UTC, filofel
Details
Another example of a page with modifications marks, as a PDF file (24.36 KB, application/pdf)
2012-03-01 04:18 UTC, filofel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pete D 2011-06-27 14:55:21 UTC
I would like to be able to show where changes exist in a document by displaying the margin change bars, but only showing the current edit in the text itself (ie no underlying, strikethrough etc in the body text).  

This is a common requirement for things like product manuals, where you want the reader to be able to quickly see where changes have occurred since the last version, but they don't need to see exactly what words were altered.  It's also a common requirement for revisions to grant applications and scientific papers where you need to show the reviewers that changes have been made in response to their reviews, but again, you don't want a bunch of formatting marks in the text taking space and reducing readability.

In MS word this can be done by setting change attributes to 'hidden' (earlier versions of StarOffice also had this); in LibreOffice the closest is to set change attributes to 'none', which does not work as desired.

This feature was also requested in the OpenOffice bug tracker as far back as 2004: http://openoffice.org/bugzilla/show_bug.cgi?id=24845
Comment 1 Björn Michaelsen 2011-12-23 12:21:03 UTC Comment hidden (obsolete)
Comment 2 Pete D 2011-12-25 19:41:19 UTC
Issue partially resolved in 3.5.0 Beta 2.  By 'accepting' deletions and/or changed attributes, insertions and edits can be marked by marginal bars only.  However there is still no way to retain track changes for an in progress document by simply hiding deletions and/or changed attributes.
Comment 3 filofel 2012-02-07 06:59:24 UTC
This is something I'd definitly would love to see too.

"Just the bars" is the only convenient way I know to let readers quickly browse a regularly updated document, chasing changes since the latest document update.

The specific use case for "just the bars" typically adresses readers of a "released" document, when the usual full fledge "track changes" is more aimed at writers / reviewers for a document still in the works.
Comment 4 sasha.libreoffice 2012-03-01 02:30:54 UTC
Thanks for new idea
Please, attach screenshot to show how it should be

> This is a common requirement for things like product manuals
But manuals usually in PDF format. May be it should be specific option for pdf exporting?
Comment 5 filofel 2012-03-01 04:11:45 UTC
Created attachment 57855 [details]
Example of a page with modification marks, as a PDF file
Comment 6 filofel 2012-03-01 04:15:01 UTC
(In reply to comment #4)
> Created attachment 57855 [details]
> Example of a page with modification marks, as a PDF file

This attachment / example is a one-page PDF file, excerpt from an IBM technical manual.
Comment 7 filofel 2012-03-01 04:18:07 UTC
Created attachment 57856 [details]
Another example of a page with modifications marks, as a PDF file

Both attachments excerpt from IBM technical manuals - IBM has been using this modification marking technique for as long as I can remember (and this is much longer than I'm willing to confess :P ).
Comment 8 sasha.libreoffice 2012-03-01 04:41:32 UTC
Thanks for attachment.
So, as I undersand, we need 2 additional options: one for change mode in Writer and second for change mode in PDF exporter
Comment 9 filofel 2012-03-01 05:21:01 UTC
(In reply to comment #8)
> Thanks for attachment.
> So, as I undersand, we need 2 additional options: one for change mode in Writer
> and second for change mode in PDF exporter

That sure would look good to me!
Comment 10 Darrell 2015-08-07 19:19:38 UTC
This feature is complete in LibreOffice 5.0.0.5.
Comment 11 Darrell 2015-08-11 18:56:05 UTC
(In reply to Darrell from comment #10)
> This feature is complete in LibreOffice 5.0.0.5.

Please disregard the previous comment; a bug in how change bars are displayed in 5.0.0.5 made it appear that this feature had been implemented.
Comment 12 Buovjaga 2015-09-05 17:55:05 UTC
Let's set back to NEW.
Comment 13 Jim Avera 2017-02-23 07:12:55 UTC
Is anyone thinking about how to do this?

I'll add my voice in saying that the changes mark-up, though useful for editors, is almost never acceptable for published documentation.   Change-bars-only is really needed for published documentation.


This issue has been hanging around for at least 16 years...
See OO bug https://bz.apache.org/ooo/show_bug.cgi?id=24845
Comment 14 Andy 2017-03-18 18:57:54 UTC Comment hidden (me-too)